const Parse = getApp().Parse
const company = getApp().globalData.company

Page({
  data: {
    content: '',
    mobile: '',
    fileList: []
  },
  async getUptoken() {
    let res = await Parse.Cloud.run('qiniu_uptoken', {
      company: company
    })
    console.log(Object.keys(res));
    console.log(res);
    this.setData({
      uptokenURL: res.uptoken,
      domain: res.domain,
      uploadURL: res.zoneUrl
    })
  },
  changeFile(e) {
    console.log(e);
    let fileList = e.detail
    console.log(fileList);
    this.setData({
      fileList
    })
  },
  //提交
  upPost() {
    let {
      content,
      mobile,
      fileList
    } = this.data
    fileList = fileList.map(file => file.url)
    console.log(content, mobile, fileList);
    let contentLen = content.replace(/(^s*)|(s*$)/g, "").length
    if (content == '' || contentLen == 0) {
      wx.showToast({
        title: '内容不完整',
        icon: 'none',
        image: '',
        duration: 1500,
        mask: false,
      });
      return
    }
    if (!mobile) {
      wx.showToast({
        title: '请留下您的联系方式哦！',
        icon: 'none',
        image: '',
        duration: 1500,
        mask: false,
      });
      return
    }
    wx.showLoading({
      title: '提交中',
    });
    try {
      let user = Parse.User.current();
      let feedBack = Parse.Object.extend("Feedback");
      let fb = new feedBack();
      fb.set("company", {
        __type: "Pointer",
        className: "Company",
        objectId: company,
      });
      fb.set("user", {
        __type: "Pointer",
        className: "_User",
        objectId: user.id,
      });
      fb.set("name", user.realname);
      fb.set("images", fileList);
      fb.set("content", content);
      fb.set("mobile", mobile)
    //   fb.set("type","email")
      fb.save().then((res) => {
        console.log(res);
        wx.hideLoading();
        wx.showToast({
          title: "已提交",
          icon: "none",
        });
        setTimeout(() => {
          wx.navigateBack({
            delta: 1
          });
        }, 1000);
      });
    } catch (error) {
      console.log(error);
      wx.hideLoading();
    }
  },
  onLoad: function (options) {
    this.setData({
      activeColor:getApp().globalData.activeColor || '#229293'
  })
    this.getUptoken()
  },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})